Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 Oct 2014, 11:07
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Webserverpuppy LAMP and XAMPP
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 8 of 9 Posts_count   Goto page: Previous 1, 2, 3, ..., 6, 7, 8, 9 Next
Author Message
growler


Joined: 24 Mar 2008
Posts: 209
Location: Kapiti - New Zealand

PostPosted: Sun 26 Feb 2012, 05:33    Post_subject: New pet but where to host  

I have not been following things puppy but recently upgraded to Barry's newish Racy 522 with the 3.07 kernel.

My old development stuff may have worked but I thought I should update version so I compiled

Hiawatha v 8.0
MariaDB mysql v 5.3.4
PHP 5.3.10

and produced a new pet - bundled with the latest phpMyAdmin - 3.4.10.1 - it is 21 Meg - so quite a fatty I'm afraid. It runs PHP using the FPM binary but I also left in the php cgi binary too - another 8 Meg.

However, where to host this file - I made some notes about the new pet on the http://puppylinux.org/wikka/HiawathaServerMySQL but have not uploaded the .pet anywhere yet.

If someone could tell me where best to host it please... if you think it maybe useful to anyone, then I will upload it.
Back to top
View user's profile Send_private_message 
rolf

Joined: 28 Dec 2008
Posts: 32

PostPosted: Sun 26 Feb 2012, 10:02    Post_subject:  

Growler,
For about a year, we've been serving www.lanlesalon.com on an IGEL thin client loaded with pup-431-small.iso and your legacy LAMP-6.16-5.1.35-5.2.9.pet, needed for the older kernel in that iso, thank you very much. Smile
On the hosting site, would a free Dropbox account work for that? In case, here's my referrer link, the sort of thing that gets Dropbox account owners extra free storage space:
or, simply www.dropbox.com
Back to top
View user's profile Send_private_message 
Atle

Joined: 19 Nov 2008
Posts: 283
Location: Oslo, Norway

PostPosted: Mon 27 Feb 2012, 04:30    Post_subject:  

Hi Growler... Your Great. I can host it for you. .I have a domain on a high speed connection.

I guess there will be some thousands of downloads, so I will notify my ISP about the file being there:-)

Just pass send me a message with a download link at my email skaperen ATT hotmail DOTT com, And i upload it right away.

Is it possible to have a lite version to? With just the very basic functions?


I look forward to test it.
The "old"version works great on Lucid up to 2.5.8.004 as well... Just tested it:-) Now I look forward to test the new one:-)

Best
Atle
Back to top
View user's profile Send_private_message Visit_website MSNM 
growler


Joined: 24 Mar 2008
Posts: 209
Location: Kapiti - New Zealand

PostPosted: Mon 27 Feb 2012, 05:48    Post_subject: New LAMP  

Glad it has been of some use to you guys Smile

MU has offered to host it so I have uploaded it and guess it will be at:

http://dotpups.de/puppy4/dotpups/Internet/LAMP-8.0-5.3.4-5.3.10.pet

It may work on older kernels - I've not tested but it was compiled on racy 5.22 and seems to work well in Barry's latest.

You can lighten it by removing /usr/local/bin/php - which is the php cgi binary so you can run php scripts from your machine - (it is a whopping 8.1Meg) without using the web-server. Hiawatha is configured to use /usr/local/sbin/php-fpm - also 8.1Meg. Mysql also has the innodb plugin enabled too but also the aria table type too.. I probably should have disabled that but I put it together quite quickly with the same compile options as last time. There is a little bit of documentation with phpMyAdmin ~ 400k that I left in. phpMyAdmin is now 8 Meg - but I find it an essential tool for working with mysql.
Back to top
View user's profile Send_private_message 
darkcity


Joined: 23 May 2010
Posts: 2462
Location: near here

PostPosted: Mon 27 Feb 2012, 18:53    Post_subject:  

Hi there's a typo on the link above LAMP -> LHMP
http://dotpups.de/puppy4/dotpups/Internet/LHMP-8.0-5.3.4-5.3.10.pet

add to wiki too
http://puppylinux.org/wikka/HiawathaServerMySQL

thanks for this Cool

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send_private_message Visit_website 
mrossw

Joined: 27 Feb 2012
Posts: 2
Location: Sierras de Cordoba, Argentina

PostPosted: Mon 27 Feb 2012, 19:41    Post_subject: Re: New LAMP  

Hi !

Thanks for posting this new pet! The right url I believe is http://dotpups.de/puppy4/dotpups/Internet/LHMP-8.0-5.3.4-5.3.10.pet

I downloaded it to try it but I get this when trying to start it with /etc/init.d/rc.httpd start :
Code:
sh-4.1# /etc/init.d/rc.httpd start
/usr/local/sbin/php-fpm: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory
Warning: couldn't create logfile /usr/var/log/hiawatha/exploit.log


I found /usr/lib/libssl.so /usr/lib/libssl3.so and /lib/libssl.so.0.9.8 but not 1.0.0 ... not sure how to get it ...

As for the warning, don't really know why he wants to create the log there as in hiawatha.conf it says location is /var/log/hiawatha ... like previous version.

I must say I installed this pet on top of what I had before (LHMP-7.3-5.1.47-5.3.3.pet) without uninstalling anything ... not sure if this is safe ...

Last comment, I decided to try this pet with a newer version of hiawatha because I am having problems with joomla 2.5: everything works fine but the module manager which gives me a 500 internal server error ... (joomla 1.5 works fine). I mentioned that because i read Atle talking about joomla in this thread, maybe he has some idea ...

Thanks !

edit: running Lucid Puppy 5.2.8
Back to top
View user's profile Send_private_message 
Atle

Joined: 19 Nov 2008
Posts: 283
Location: Oslo, Norway

PostPosted: Tue 28 Feb 2012, 04:26    Post_subject: Re: New LAMP  

mrossw wrote:


Last comment, I decided to try this pet with a newer version of hiawatha because I am having problems with joomla 2.5: everything works fine but the module manager which gives me a 500 internal server error ... (joomla 1.5 works fine). I mentioned that because i read Atle talking about joomla in this thread, maybe he has some idea ...


I tried Joomla 2.5.1 with the LHMP-7.3-5.1.47-5.3.3.pet and it all worked fine. No problems with anything that I did not have problems with in 1.7. The version of Puppy I used, was 2.5.8.004, but it failed to be remastered, something that did not occur with the first 2.5.8.

You need to turn off the "Search Engine Friendly URLs" in SEO Settings, that you find in Global Configuration.

Also there was this trick, be it dirty or not, that LHMP mastermind Growler thought me, and that is to "hammer" the Joomla directory in your Web-Server... Its in console and goes like this:

cd /root/Web-Server
chmod -R ugo+rw joomla

This is if you make it like I usually do, and that is to create a directory i call joomla in the /Web-Server directory, where I put my entire Joomla installation...

As my aim is to reproduce the Puppy with Joomla, i make like two new and clean partitions, so I can "dump" the Puppy Lucid files from the ISO, straight into the partition, rerun Grub4dos and reboot into the clean Puppy and do the stuff...

I will upload a version with Joomla 2.5.1 within a day or to built on whatever Puppie I can reproduce... And post a link here Very Happy

And that will be now with JUST the latest software, thanks to Growler...
Back to top
View user's profile Send_private_message Visit_website MSNM 
growler


Joined: 24 Mar 2008
Posts: 209
Location: Kapiti - New Zealand

PostPosted: Tue 28 Feb 2012, 04:59    Post_subject: Re: New LAMP  

mrossw wrote:
Hi !

I downloaded it to try it but I get this when trying to start it with /etc/init.d/rc.httpd start :
Code:
sh-4.1# /etc/init.d/rc.httpd start
/usr/local/sbin/php-fpm: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory
Warning: couldn't create logfile /usr/var/log/hiawatha/exploit.log


I found /usr/lib/libssl.so /usr/lib/libssl3.so and /lib/libssl.so.0.9.8 but not 1.0.0 ... not sure how to get it ...

edit: running Lucid Puppy 5.2.8


I have puppy 5.25 on this machine and it too doesn't have libssl.so.1.0.0 - However, Racy 522 does - I guess also Wary would have too. It might be worth trying to make a symbolic link called libssl.so.1.0.0 that links to /usr/lib/libssl.so.0.9.8 - if you right click on the latter and select link ...

Yes not sure why you get the log file issue - I expect this is not catastrophic... you could try adding an appropriate directive in /etc/hiawatha/hiawatha.conf for the exploit log as:

ExploitLogfile = /var/log/hiawatha/exploit.log

If that works I will make the modification to the .pet and reupload - from the hiawatha manual:

Quote:

ExploitLogfile = <filename with full path>
Logfile for all exploit attempts: CSRF, denied bodies, SQL injection and XSS
Default = /usr/local/var/log/hiawatha/exploit.log, example: ExploitLogfile = /var/log/exploit_attempts.log


Grrrr
Back to top
View user's profile Send_private_message 
mrossw

Joined: 27 Feb 2012
Posts: 2
Location: Sierras de Cordoba, Argentina

PostPosted: Tue 28 Feb 2012, 12:46    Post_subject: Re: New LAMP  

Thanks Atle and Growler for your replies !
growler wrote:

I have puppy 5.25 on this machine and it too doesn't have libssl.so.1.0.0 - However, Racy 522 does - I guess also Wary would have too. It might be worth trying to make a symbolic link called libssl.so.1.0.0 that links to /usr/lib/libssl.so.0.9.8 - if you right click on the latter and select link ...

Creating the symlinks worked indeed! Nice!
After libssl, it asked for libcrypto.so.1.0.0: I applied the same process and done !
I guess it would be better to have the right version instead, but I am not familiar on how lupu is managing those libs so I will keep like that for now.

growler wrote:

Yes not sure why you get the log file issue - I expect this is not catastrophic... you could try adding an appropriate directive in /etc/hiawatha/hiawatha.conf for the exploit log as:

ExploitLogfile = /var/log/hiawatha/exploit.log

If that works I will make the modification to the .pet and reupload - from the hiawatha manual:
Quote:

ExploitLogfile = <filename with full path>
Logfile for all exploit attempts: CSRF, denied bodies, SQL injection and XSS
Default = /usr/local/var/log/hiawatha/exploit.log, example: ExploitLogfile = /var/log/exploit_attempts.log


Grrrr

My mistake on that, you were right. I didn't pay attention my conf file didn't have the specific line for eploitLogfile. Warning is now gone.

Anyway, I now have a LHMP pile working with Hiawatha 8.0 and it's awesome !

This also allowed me to solve my joomla 2.5.1 problem:
as It seems v8.0 came with a different error pages handling config (i will have to check how this works in hiawatha!) , it let me see a nice joomla debugging screen instead of a skinny 500 error page on v7.0.
The debugging info taught me there was a mysql problem with an temporary index file : Incorrect key file for table '#sql_180c_0.MYI'
So after duckdukgoing, this advice told me I had to change the tmpdir for the mysql server, which made it !
I have frugal install of lupu 5.2.8, which is maybe why the default tmpdir was not ok for the server Question ... just blind guessing ...

I though I would share my findings in case it's useful to anyone ...

Thanks again ! Keeping around ...
Back to top
View user's profile Send_private_message 
antonio_66

Joined: 22 Sep 2011
Posts: 16
Location: german Alps

PostPosted: Thu 01 Mar 2012, 04:46    Post_subject:  

ups, sorry, I haven't look this thread for a long time... Confused

@rcmartin
Quote:
Even though you are new to Puppyland you can do most here a BIG favor by opening a Thread in HOWTO section and describing what distro and how you were able to setup your VNC server for remote desktop serving.


Hm, my knowlegde in linux/scripting language and english is not so good to "maintain" such a theme.
Btw. vnc was working well, but I abandon this project, because of problems with my "hardware-firewall"; there was no way through...

BUT, I have a new project for this ThinClient (Igel 3/3). I want to start a webserver with bloggingsystem like pplog.

Maybe there is the same problem with webserverpupy 412. It is possible that directory /root/hiawatha/ is missing? or maybe not "standard structure" like /var/www/htdocs ?

bye
Back to top
View user's profile Send_private_message Visit_website 
Atle

Joined: 19 Nov 2008
Posts: 283
Location: Oslo, Norway

PostPosted: Tue 06 Mar 2012, 17:11    Post_subject:  

Hi there...

I tried this symlink thing, but it really did not work. Yet what did work, all off a sudden was to get the former LHMP to work on Puppy 5.2.8.004. Its not such a straight forward thing to remaster anymore. Some ugly workarounds was done, like copying entire /root and /etc, during the remaster process.

Yet I came shot on the latest version.

I have two questions...

1) Is the version that is there for download fixed with the symlink issues(those libssl things)

2) Does this start automatically like the former version?

I guess this ability to run php scripts locally and without the server is sort of neat for those that are learning and developing? My thing is to make a educational platform, so as I am not a programmer, I would not know if it serves any purpose to run it outside the webserver, but I am open for advice.

I am sorry for not fixing this issue with symlinks, as it all became a mess for me Embarassed

Thanks to Growler for providing this excellent piece of software.
Back to top
View user's profile Send_private_message Visit_website MSNM 
Atle

Joined: 19 Nov 2008
Posts: 283
Location: Oslo, Norway

PostPosted: Mon 12 Mar 2012, 15:11    Post_subject:  

Ok... openssl-1.0.0d-w-20110209.pet resolves the symlink stuff for me in 5.2.8.004... No more error messages there...

Now its GOOD... The only thing is that is does not show anything at localhost its self, but that does not matter. Just confused me a bit:-)

So it works and so does the packet manager in Joomla 2.5.1.

I guess I will polish a version for JoomlaOnPuppy and upload it in a few days.
Back to top
View user's profile Send_private_message Visit_website MSNM 
jason.b.c


Joined: 08 Feb 2006
Posts: 758
Location: Marshfield,MO

PostPosted: Sat 26 May 2012, 04:49    Post_subject: Re: Webserverpuppy LAMP and XAMPP
Sub_title: 74MB puplet for webdesigners
 

puppymartin wrote:
Webserverpuppy 1 (74 Mb)
Extra version: XAMPP 'Lite'


A small (74 Mb or 96 Mb) server for webdesigners.
No Office, no sound, no printing, just a small FTP/LAMP-server:

There are two versions:
1 Hiawatha and PureFTP
2 Apache and ProFTPD

Both have:
- Mysql 5.1.35
- PHP 5.2.9
- phpMyAdmin 3.1.5
- Seamonkey Web-browser and composer 1.1.14
- FTP client: gFTP 2.0.18
- Bluefish web development studio 1.0.7
- Medit 0.9.4. text editor




Download: http://browserpuppy.com/server.html 74 Mb or 96 Mb







is this still available????

_________________
Puppy is Awesome..!!!!

Back to top
View user's profile Send_private_message Visit_website AIM YIM 
Atle

Joined: 19 Nov 2008
Posts: 283
Location: Oslo, Norway

PostPosted: Sat 26 May 2012, 17:19    Post_subject:  

If not available your can try out this
Back to top
View user's profile Send_private_message Visit_website MSNM 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Tue 12 Jun 2012, 11:47    Post_subject:  

schoolux looks interesting - I will have to check it out soon!

Meanwhile, I need just MySQL for MythTV.

Is there a PET or SFS that will load just MySQL for now, please?

Adding the rest adds too many variables - MythTV plus the IP tv tuner and the USB video interface are enough to keep track of for the moment.

Thanks!

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 8 of 9 Posts_count   Goto page: Previous 1, 2, 3, ..., 6, 7, 8, 9 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1100s ][ Queries: 12 (0.0057s) ][ GZIP on ]